import { PublishRequestData, SubscribeRequestData, SubscribeResponseData } from "../api.js";
import { Environment } from "../configurations/environments.js";
import { Scope } from "../configurations/scopes.js";
export interface PubSubClientConfig {
    environment: Environment;
    clientId: string;
    clientSecret: string;
    scopes?: Scope[];
    customOptions?: Record<string, string>;
}
export declare class PubSubClient {
    private config;
    private auth;
    private environmentConfig;
    private httpClient;
    private subscriptionsUrl;
    private publishUrl;
    constructor(config: PubSubClientConfig);
    subscribe(data: SubscribeRequestData): Promise<SubscribeResponseData>;
    deleteSubscription(typeName: string, subscriptionId?: string): Promise<SubscribeResponseData>;
    publish(data: PublishRequestData): Promise<any>;
}
