export var Environment;
(function (Environment) {
    Environment[Environment["Prod"] = 0] = "Prod";
    Environment[Environment["Sandbox"] = 1] = "Sandbox";
    Environment[Environment["Dev"] = 2] = "Dev";
})(Environment || (Environment = {}));
export const defaultEnvironmentConfig = {
    [Environment.Prod]: {
        apiBaseUrl: "https://api.bcc.no/pubsub",
        tokenUrl: "https://login.bcc.no/oauth/token",
        oauthAudience: "api.bcc.no",
    },
    [Environment.Sandbox]: {
        apiBaseUrl: "https://sandbox-api.bcc.no/pubsub",
        tokenUrl: "https://bcc-sso-sandbox.eu.auth0.com/oauth/token",
        oauthAudience: "sandbox-api.bcc.no",
    },
    [Environment.Dev]: {
        apiBaseUrl: "https://dev-api.bcc.no/pubsub",
        tokenUrl: "https://bcc-sso-dev.eu.auth0.com/oauth/token",
        oauthAudience: "dev-api.bcc.no",
    }
};
